---
AWSTemplateFormatVersion: '2010-09-09'
Description: Create hosted zone for given domain and environment
Parameters:
  VpcId:
    Description: VPC ID for internal zone
    Type: String
    Default: ""
  DomainName:
    Description: Domainname to be used
    Type: String
  Internal:
    Type: Number

Conditions:
  isInternal:
    Fn::Equals:
      - !Ref Internal
      - 1

Resources:
  DNS:
    Type: AWS::Route53::HostedZone
    Properties:
      HostedZoneConfig:
        Comment: Route53 zone
      Name: !Ref DomainName
      VPCs:
        Fn::If:
          - isInternal
          -
            - VPCId: !Ref VpcId
              VPCRegion: !Ref AWS::Region
{% if hostedzone.assoc_add_vpcs is defined %}
{% for id in hostedzone.assoc_add_vpcs %}
            - VPCId: {{ id }}
              VPCRegion: !Ref AWS::Region
{% endfor %}
{% endif %}
          - !Ref AWS::NoValue

Outputs:
  HostedZoneID:
    Value: !Ref DNS
    Export:
      Name: !Sub "${AWS::StackName}-HostedZoneId"
  HostedZoneName:
    Value: !Ref DomainName
    Export:
      Name: !Sub "${AWS::StackName}-HostedZoneName"
